import { KNativePointer } from "../../src/reexport-for-generated";
import { ClassElement } from "./ClassElement";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
import { ScriptFunction } from "./ScriptFunction";
export declare class ClassStaticBlock extends ClassElement {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createClassStaticBlock(value?: Expression): ClassStaticBlock;
    static updateClassStaticBlock(original?: ClassStaticBlock, value?: Expression): ClassStaticBlock;
    get function(): ScriptFunction | undefined;
    /** @deprecated */
    setFunction(_function_?: ScriptFunction): this;
    get name(): string;
    protected readonly brandClassStaticBlock: undefined;
}
export declare function isClassStaticBlock(node: object | undefined): node is ClassStaticBlock;
